# POST /v1/sessions/{session_id}/tool-results - Submit client-side tool results

Source: <https://everruns.com/docs/api/operations/submit_tool_results/>

POST

/v1/sessions/{session\_id}/tool-results

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/tool-results';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"tool_results":[{"result":{"url":"https://example.com/orders/42"},"tool_call_id":"toolu_01933b5a00007000800000000000001"}]}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/sessions/example/tool-results \
  --header 'Content-Type: application/json' \
  --data '{ "tool_results": [ { "result": { "url": "https://example.com/orders/42" }, "tool_call_id": "toolu_01933b5a00007000800000000000001" } ] }'
```

* Production APIapp.everruns.com/api/v1/sessions/{session\_id}/tool-results

Accepts tool results executed by the client and resumes the agent workflow. Session must be in `waiting_for_tool_results` status.

## Parameters

### Path Parameters

**session\_id**

required

string

Session ID (prefixed, e.g., session\_…)

## Request Bodyrequired

Media typeapplication/json

Request to submit client-side tool results

object

**tool\_results**

required

Tool results from the client

Array\<object>

A single tool result from the client

object

**error**

Error message if the tool failed

string | null

##### Example

```plaintext
Refund failed: order is outside refund window
```

**result**

Result value (any JSON — object, array, string, number, etc.). Null if the tool failed. Example: `{"url": "https://example.com/orders/42"}`.

**tool\_call\_id**

required

Tool call ID (correlates with the tool call from tool.call\_requested event)

string

##### Example

```plaintext
toolu_01933b5a00007000800000000000001
```

##### Example

```json
[
  {
    "result": {
      "url": "https://example.com/orders/42"
    },
    "tool_call_id": "toolu_01933b5a00007000800000000000001"
  }
]
```

## Responses

### 200

Tool results accepted and workflow resumed

Media typeapplication/json

Response from submitting tool results

object

**accepted**

required

Number of tool results accepted

integer

**status**

required

Session status after submission

string

##### Examplegenerated

```json
{
  "accepted": 1,
  "status": "example"
}
```

### 400

Invalid session ID or request

### 404

Session not found

### 409

Session not in waiting\_for\_tool\_results state

### 500

Internal server error